package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 舆情信息量统计响应类
 */
@Data
@ApiModel("舆情信息量统计响应类")
public class ZongzhiSentimenClassificationResponse {


    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private double pt;



    /**
     * 媒体类型1.报刊 2.网媒 3.微信 4.微博
     * 5.APP 6.论坛 7.短视频 8.其他
     * 涉事类型9.治安维护 10.医疗卫生 11.执政形象 12.市场监督 13.自然灾害 14.安全事故 15.社会保证 16.市政管理
     */
    @ApiModelProperty(value = "媒体类型：1.报刊 2.网媒 3.微信 4.微博 5.APP 6.论坛 7.短视频 8.其他， 涉事类型9.治安维护 10.医疗卫生 11.执政形象 12.市场监督 13.自然灾害 14.安全事故 15.社会保证 16.市政管理")
    private Integer type;


}
