package com.ruoyi.screen.service;

import com.ruoyi.screen.domain.response.*;

import java.util.List;

/**
 * 太仓综治网络舆情大屏业务层
 */
public interface ZongzhiScreenOpinionService {


    /**
     * 舆情走势图
     */
    public List<ZongzhiSentimentTypeResponse> getSentimentType();


    /**
     * 舆情信息量统计
     */
    public List<ZongzhiSentimentCountResponse> getSentimenCount();


    /**
     * 舆情分类 媒体类型
     */
    public List<ZongzhiSentimenClassificationResponse> getSentimenClassificationBymediaType();


    /**
     * 舆情分类 涉事类型
     */
    public List<ZongzhiSentimenClassificationResponse> getSentimenClassificationByeventType();


    /**
     * 词云
     */
    public List<ZongzhiSentimenWordCloudResponse> getWordCloud();




    /**
     * 舆情报告
     */
    public ZongzhiSentimentReportResponse getSentimentReport();



    /**
     * 舆情报告分类
     */
    public List<ZongzhiReportResponse> getSentimentReportbyReportType();



}
