package com.ruoyi.screen.service.impl;

import com.ruoyi.screen.domain.response.ZongzhiActionResponse;
import com.ruoyi.screen.domain.response.ZongzhiNetworkReportResponse;
import com.ruoyi.screen.domain.response.ZongzhiWorkDynamicsResponse;
import com.ruoyi.screen.mapper.ZongzhiScreenManageMapper;
import com.ruoyi.screen.service.ZongzhiScreenManageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 太仓综治网络管理实现层
 */
@Service
public class ZongzhiScreenManageServiceImpl  implements ZongzhiScreenManageService {

    @Resource
    ZongzhiScreenManageMapper zongzhiScreenManageMapper;

    @Override
    public List<ZongzhiWorkDynamicsResponse> getWorkDynamics() {
        return zongzhiScreenManageMapper.getWorkDynamics();
    }

    @Override
    public ZongzhiNetworkReportResponse getNetworkReport() {
        return zongzhiScreenManageMapper.getNetworkReport();
    }

    @Override
    public List<ZongzhiActionResponse> getaction() {
        return zongzhiScreenManageMapper.getaction();
    }


}
