package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网评员对象 tc_commentator
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcCommentator extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 性别
     */
    @Excel(name = "性别")
    @ApiModelProperty(value = "性别")
    private String sex;

    /**
     * 年龄
     */
    @Excel(name = "年龄")
    @ApiModelProperty(value = "年龄")
    private Long age;

    /**
     * 民族
     */
    @Excel(name = "民族")
    @ApiModelProperty(value = "民族")
    private String nationality;

    /**
     * 政治面貌
     */
    @Excel(name = "政治面貌")
    @ApiModelProperty(value = "政治面貌")
    private String politicsStatus;

    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 移动电话
     */
    @Excel(name = "移动电话")
    @ApiModelProperty(value = "移动电话")
    private String phoneNum;

    /**
     * 微信号
     */
    @Excel(name = "微信号")
    @ApiModelProperty(value = "微信号")
    private String vxNum;

    /**
     * 类别1.	核心网评员
     * 2.	骨干网评员
     * 3.	普通网评员
     */
    @Excel(name = "类别")
    @ApiModelProperty(value = "类别1.核心网评员 2.	骨干网评员 3.	普通网评员")
    private Long type;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
