package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * IDC单位对象 tc_idc_unit
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcIdcUnit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 名称
     */
    @Excel(name = "名称")
    @ApiModelProperty(value = "名称")
    private String unitName;

    /**
     * 所属区域
     */
    @Excel(name = "所属区域")
    @ApiModelProperty(value = "所属区域")
    private String area;

    /**
     * IP段信息
     */
    @Excel(name = "IP段信息")
    @ApiModelProperty(value = "IP段信息")
    private String ipData;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
