package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络民情责任人对象 tc_network_mq_principal
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkMqPrincipal extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     * 民情负责人
     */
    @Excel(name = "民情负责人")
    @ApiModelProperty(value = "民情负责人")
    private String fuzeMan;

    /**
     * 职务
     */
    @Excel(name = "职务")
    @ApiModelProperty(value = "职务")
    private String duty;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String tel;

    /**
     * fax_num
     */
    @Excel(name = "fax_num")
    @ApiModelProperty(value = "fax_num")
    private String faxNum;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    @ApiModelProperty(value = "手机号")
    private String phoneNum;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;


}
