package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络安全支持单位对象 tc_network_support_unit
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkSupportUnit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty(value = "单位名称")
    private String name;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    @ApiModelProperty(value = "联系人")
    private String linkMan;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String phoneNum;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
