package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络文明自愿者对象 tc_network_volunteer
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkVolunteer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 类别1.	银龄生活
     * 2.	凌云燕
     */
    @Excel(name = "类别")
    @ApiModelProperty(value = "类别1.银龄生活 2.凌云燕")
    private Long type;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 年龄
     */
    @Excel(name = "年龄")
    @ApiModelProperty(value = "年龄")
    private Long age;

    /**
     * 活动内容
     */
    @Excel(name = "活动内容")
    @ApiModelProperty(value = "活动内容")
    private String content;

    /**
     * 单位
     */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 职务
     */
    @Excel(name = "职务")
    @ApiModelProperty(value = "职务")
    private String duty;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    @ApiModelProperty(value = "联系方式")
    private Long phoneNum;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
