package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 清朗专项对象 tc_qinglang_zhuanxiang
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcQinglangZhuanxiang extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 专项标题
     */
    @Excel(name = "专项标题")
    @ApiModelProperty(value = "专项标题")
    private String zhuanxiangTitle;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zhuanxiangTime;

    /**
     * 专项内容
     */
    @Excel(name = "专项内容")
    @ApiModelProperty(value = "专项内容")
    private String zhuanxiangContent;

    /**
     * 专项图片
     */
    @Excel(name = "专项图片")
    @ApiModelProperty(value = "专项图片")
    private String zhuanxiangImg;

    /**
     * 处理类型1.	处理有害信息
     * 2.	关闭直播平台违规账号
     */
    @Excel(name = "处理类型")
    @ApiModelProperty(value = "处理类型 1.处理有害信息 2.关闭直播平台违规账号")
    private Long zhuanxiangType;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
