package com.ruoyi.zongzhi.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 重点领域监管对象 tc_zhongdian_domain
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcZhongdianDomain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /** 企业类型 */
    @Excel(name = "企业类型")
    @ApiModelProperty(value = "企业类型")
    private Long enterpriseType;

    /** 重点监管内容 */
    @Excel(name = "重点监管内容")
    @ApiModelProperty(value = "重点监管内容")
    private String zdjgContent;

    /** 法律法规明令禁止的有关行为 */
    @Excel(name = "法律法规明令禁止的有关行为")
    @ApiModelProperty(value = "法律法规明令禁止的有关行为")
    private String weifaXingwei;

    /** 主要监管部门 */
    @Excel(name = "主要监管部门")
    @ApiModelProperty(value = "主要监管部门")
    private String dep;

    /** 主要依据 */
    @Excel(name = "主要依据")
    @ApiModelProperty(value = "主要依据")
    private String zhuyaoYiju;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateId;

}
