package com.ruoyi.zongzhi.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 重点企业名录对象 tc_zhongdian_enterprise
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcZhongdianEnterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    /** 企业类型 */
    @Excel(name = "企业类型")
    @ApiModelProperty(value = "企业类型")
    private Long enterpriseType;

    /** 互联网业务1.直播，2.论坛bbs，3短视频，4.电子商务销售，5.信息展示 */
    @ApiModelProperty(value = "互联网业务")
    @Excel(name = "互联网业务1.直播，2.论坛bbs，3短视频，4.电子商务销售，5.信息展示")
    private Long networkYewu;

    /** 监管部门 */
    @Excel(name = "监管部门")
    @ApiModelProperty(value = "监管部门")
    private String jianguanBumen;

    /** 单位地址 */
    @Excel(name = "单位地址")
    @ApiModelProperty(value = "单位地址")
    private String address;

    /** 联系人 */
    @Excel(name = "联系人")
    @ApiModelProperty(value = "联系人")
    private String linkMan;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String phoneNum;

    /** 网站或平台名称 */
    @Excel(name = "网站或平台名称")
    @ApiModelProperty(value = "网站或平台名称")
    private String productName;

    /** 域名 */
    @Excel(name = "域名")
    @ApiModelProperty(value = "域名")
    private String dns;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateId;

}
