package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcNetworkSupportUnit;

/**
 * 网络安全支持单位Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcNetworkSupportUnitMapper 
{
    /**
     * 查询网络安全支持单位
     * 
     * @param id 网络安全支持单位主键
     * @return 网络安全支持单位
     */
    public TcNetworkSupportUnit selectTcNetworkSupportUnitById(Long id);

    /**
     * 查询网络安全支持单位列表
     * 
     * @param tcNetworkSupportUnit 网络安全支持单位
     * @return 网络安全支持单位集合
     */
    public List<TcNetworkSupportUnit> selectTcNetworkSupportUnitList(TcNetworkSupportUnit tcNetworkSupportUnit);

    /**
     * 新增网络安全支持单位
     * 
     * @param tcNetworkSupportUnit 网络安全支持单位
     * @return 结果
     */
    public int insertTcNetworkSupportUnit(TcNetworkSupportUnit tcNetworkSupportUnit);

    /**
     * 修改网络安全支持单位
     * 
     * @param tcNetworkSupportUnit 网络安全支持单位
     * @return 结果
     */
    public int updateTcNetworkSupportUnit(TcNetworkSupportUnit tcNetworkSupportUnit);

    /**
     * 删除网络安全支持单位
     * 
     * @param id 网络安全支持单位主键
     * @return 结果
     */
    public int deleteTcNetworkSupportUnitById(Long id);

    /**
     * 批量删除网络安全支持单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcNetworkSupportUnitByIds(Long[] ids);
}
