package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 隐患处置通报处置响应类
 */
@Data
@ApiModel("隐患处置通报处置响应类")
public class ZongzhiNotificationResponse {


    /**
     * 单位名称
     */
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     *处置情况1.已归档，2.未归档
     */
    @ApiModelProperty(value = "处置情况1.已归档，2.未归档")
    private Integer state;


    /**
     *目标IP/域名
     */
    @ApiModelProperty(value = "目标IP/域名")
    private String ipDns;
}
