package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 隐患处置最新隐患响应类
 */
@Data
@ApiModel("隐患处置最新隐患响应类")
public class ZongzhiSentimenFilteringResponse {

    /**
     * 隐患名称
     */
    @ApiModelProperty(value = "隐患名称")
    private String riskName;

    /**
     *等级1.低级 2.中级 3.高级
     */
    @ApiModelProperty(value = "等级1.低级 2.中级 3.高级")
    private Integer level;

    /**
     * 单位名称
     */
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     *隐患来源1.众测2.态势感知平台3.网信办
     */
    @ApiModelProperty(value = "隐患来源1.众测2.态势感知平台3.网信办")
    private Integer riskSource;
}
