package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 大屏数据来源响应类
 */
@Data
@ApiModel("大屏网络数据来源响应类")
public class ZongzhiSourceResponse {

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private int count;


    /**
     * 类型 1.云断监管  2：APT（M） 3.硬探针 4.软探针 5.监管单位
     * 6.网站监测
     * 7.系统监测
     */
    @ApiModelProperty(value = "类型 1.云断监管  2：APT（M） 3.硬探针 4.软探针 5.监管单位 6.网站监测 7.系统监测")
    private int type;
}
