package com.ruoyi.screen.domain.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 安全检测监管对象响应类
 */
@Data
@ApiModel("安全检测监管对象响应类")
public class ZongzhiSuperviseResponse {


    /**
     * 等保系统响应类
     */
    @ApiModelProperty(value = "等保系统响应类")
    private List<ZongzhiDengbaoSystemResponse> zongzhiDengbaoSystemResponse;

    /**
     * 等保单位响应类
     */
    @ApiModelProperty(value = "等保单位响应类")
    private List<ZongzhiDengbaoUnitResponse> zongzhiDengbaoUnitResponse;



    /**
     * 政府网站响应类
     */
    @ApiModelProperty(value = "政府网站响应类")
    private List<ZongzhiZhengfuResponse> zongzhiZhengfuResponse;



    /**
     * IDC响应类
     */
    @ApiModelProperty(value = "IDC响应类")
    private  List<ZongzhiIdcResponse> zongzhiIdcResponse;
}
