package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工作动态对象 tc_work_dongtai
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcWorkDongtai extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 类型
     */
    @Excel(name = "类型")
    @ApiModelProperty(value = "类型")
    private String type;

    /**
     * 材料名称
     */
    @Excel(name = "材料名称")
    @ApiModelProperty(value = "材料名称")
    private String materialsName;


    /**
     * 动态名称
     */
    @Excel(name = "动态名称")
    @ApiModelProperty(value = "动态名称")
    private String name;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fabuTime;

    /**
     * 材料文件名称
     */
    @Excel(name = "材料文件名称")
    @ApiModelProperty(value = "材料文件名称")
    private String materialsFileName;

    /**
     * 材料文件URL
     */
    @Excel(name = "材料文件URL")
    @ApiModelProperty(value = "材料文件URL")
    private String materialsFileUrl;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;




}
