package com.ruoyi.zongzhi.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 重点工作项目对象 tc_zhongdian_work
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcZhongdianWork extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 推进单位
     */
    @Excel(name = "推进单位")
    @ApiModelProperty(value = "推进单位")
    private String unitName;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    /**
     * 项目内容
     */
    @ApiModelProperty(value = "项目内容")
    @Excel(name = "项目内容")
    private String projectContent;

    /**
     * 项目类型
     */
    @ApiModelProperty(value = "项目类型")
    @Excel(name = "项目类型")
    private Long projectType;

    /**
     * 项目联系人
     */
    @Excel(name = "项目联系人")
    @ApiModelProperty(value = "项目联系人")
    private String projectLinkMan;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String phoneNum;

    /**
     * 联系人职务
     */
    @Excel(name = "联系人职务")
    @ApiModelProperty(value = "联系人职务")
    private String linkManDuty;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    private Long updateId;

}
