package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcQinglangZhuanxiang;

/**
 * 清朗专项Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcQinglangZhuanxiangMapper 
{
    /**
     * 查询清朗专项
     * 
     * @param id 清朗专项主键
     * @return 清朗专项
     */
    public TcQinglangZhuanxiang selectTcQinglangZhuanxiangById(Long id);

    /**
     * 查询清朗专项列表
     * 
     * @param tcQinglangZhuanxiang 清朗专项
     * @return 清朗专项集合
     */
    public List<TcQinglangZhuanxiang> selectTcQinglangZhuanxiangList(TcQinglangZhuanxiang tcQinglangZhuanxiang);

    /**
     * 新增清朗专项
     * 
     * @param tcQinglangZhuanxiang 清朗专项
     * @return 结果
     */
    public int insertTcQinglangZhuanxiang(TcQinglangZhuanxiang tcQinglangZhuanxiang);

    /**
     * 修改清朗专项
     * 
     * @param tcQinglangZhuanxiang 清朗专项
     * @return 结果
     */
    public int updateTcQinglangZhuanxiang(TcQinglangZhuanxiang tcQinglangZhuanxiang);

    /**
     * 删除清朗专项
     * 
     * @param id 清朗专项主键
     * @return 结果
     */
    public int deleteTcQinglangZhuanxiangById(Long id);

    /**
     * 批量删除清朗专项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcQinglangZhuanxiangByIds(Long[] ids);
}
